summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /dev-vcs/gitstats
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'dev-vcs/gitstats')
-rw-r--r--dev-vcs/gitstats/Manifest1
-rw-r--r--dev-vcs/gitstats/gitstats-0_pre131024.ebuild39
-rw-r--r--dev-vcs/gitstats/gitstats-9999.ebuild42
-rw-r--r--dev-vcs/gitstats/metadata.xml7
4 files changed, 89 insertions, 0 deletions
diff --git a/dev-vcs/gitstats/Manifest b/dev-vcs/gitstats/Manifest
new file mode 100644
index 00000000000..ee38df2d2db
--- /dev/null
+++ b/dev-vcs/gitstats/Manifest
@@ -0,0 +1 @@
+DIST gitstats-0_pre131024.tar.xz 32104 SHA256 67ec923e2cdfb260b945fa9ff9d12ba4e3398d89b89d50e49dcf55a338a6ab5d SHA512 a42c6ca37d39c24782c19a1157cc5aaf3a16e34c603c5fa3f91fcd5165e6f4788d5d75786b78f962ab81b3db66dd94f051dd929f02f4ffef845ec5b793feba53 WHIRLPOOL 13c20e208bf41da378091905c23c6cc3481bcb4a83db0c7524eee4017ececc7c0c81d583a03d80f7ecb23d8a0f691115475c805eeffdd40dd2f486d0bf7a59e6
diff --git a/dev-vcs/gitstats/gitstats-0_pre131024.ebuild b/dev-vcs/gitstats/gitstats-0_pre131024.ebuild
new file mode 100644
index 00000000000..19f8181564b
--- /dev/null
+++ b/dev-vcs/gitstats/gitstats-0_pre131024.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit python-r1
+
+DESCRIPTION="Statistics generator for git"
+HOMEPAGE="http://gitstats.sourceforge.net/"
+SRC_URI="http://dev.gentoo.org/~jlec/distfiles/${P}.tar.xz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="
+ sci-visualization/gnuplot[gd]
+ dev-vcs/git"
+DEPEND=""
+
+src_prepare() {
+ sed \
+ -e "s:basedir = os.path.dirname(os.path.abspath(__file__)):basedir = '${EPREFIX}/usr/share/gitstats':g" \
+ -i gitstats || die "failed to fix static files path"
+}
+
+src_compile() {
+ :;
+}
+
+src_install() {
+ emake PREFIX="${D}"/usr VERSION="${PV}" install
+ dodoc doc/{README,*.txt}
+ python_replicate_script "${ED}"/usr/bin/${PN}
+}
diff --git a/dev-vcs/gitstats/gitstats-9999.ebuild b/dev-vcs/gitstats/gitstats-9999.ebuild
new file mode 100644
index 00000000000..06a43c4884d
--- /dev/null
+++ b/dev-vcs/gitstats/gitstats-9999.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit python-r1 git-2
+
+DESCRIPTION="Statistics generator for git"
+HOMEPAGE="http://gitstats.sourceforge.net/"
+SRC_URI=""
+EGIT_REPO_URI="
+ git://repo.or.cz/${PN}.git
+ http://repo.or.cz/r/${PN}.git"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS=""
+IUSE=""
+
+RDEPEND="
+ sci-visualization/gnuplot[gd]
+ dev-vcs/git"
+DEPEND=""
+
+src_prepare() {
+ sed \
+ -e "s:basedir = os.path.dirname(os.path.abspath(__file__)):basedir = '${EPREFIX}/usr/share/gitstats':g" \
+ -i gitstats || die "failed to fix static files path"
+}
+
+src_compile() {
+ :;
+}
+
+src_install() {
+ emake PREFIX="${D}"/usr VERSION="${PV}" install
+ dodoc doc/{README,*.txt}
+ python_replicate_script "${ED}"/usr/bin/${PN}
+}
diff --git a/dev-vcs/gitstats/metadata.xml b/dev-vcs/gitstats/metadata.xml
new file mode 100644
index 00000000000..4a00a64b40a
--- /dev/null
+++ b/dev-vcs/gitstats/metadata.xml
@@ -0,0 +1,7 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>jlec@gentoo.org</email>
+ </maintainer>
+</pkgmetadata>